Bug 998455 - [origin_runtime_219] jbosseap app cannot be used anymore after server upgrade and migration
[origin_runtime_219] jbosseap app cannot be used anymore after server upgrade...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John W. Lamb
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 07:11 EDT by Meng Bo
Modified: 2015-05-14 19:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:52:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jbosseap_boot.log (7.70 KB, text/x-log)
2013-08-19 07:11 EDT, Meng Bo
no flags Details
jbosseap_server.log (21.42 KB, text/plain)
2013-08-19 07:12 EDT, Meng Bo
no flags Details

  None (edit)
Description Meng Bo 2013-08-19 07:11:33 EDT
Created attachment 788006 [details]
jbosseap_boot.log

Description of problem:
Create jbosseap app on devenv-stage ami, upgrade the server to latest devenv and run migration scripts.

The app return 503 when access via web, and cannot be restart/start anymore.

Version-Release number of selected component (if applicable):
devenv-stage_442 to devenv_3672

How reproducible:
always

Steps to Reproduce:
1.Create jbosseap on devenv-stage ami
2.Upgrade the instance to devenv_3672
3.Run mongo migration
#rhc-admin-migrate-datastore
4.Migrate gears
#oo-admin-upgrade

Actual results:
The jbosseap app cannot be access and cannot be start/restart after migration

Expected results:
App should work fine.

Additional info:
Attached server.log and boot.log for the app, following is the migration output.

        "log": [
            "Beginning 2.0.32 upgrade for 634059618196943787786240", 
            "Inspecting gear at /var/lib/openshift/634059618196943787786240", 
            "Pre-upgrade state: started", 
            "Marking step inspect_gear_state complete", 
            "In map_ident", 
            "Mapping version 6.0 to 6 for cartridge jbosseap", 
            "Refreshing cartridge redhat:jbosseap:6.0:0.0.4, ignoring cartridge version.", 
            "Creating itinerary entry for incompatible upgrade of redhat:jbosseap:6.0:0.0.4", 
            "Marking step compute_itinerary complete", 
            "Migrating gear at /var/lib/openshift/634059618196943787786240", 
            "Stopping gear on node ip-10-236-154-176", 
            "Marking step stop_gear complete", 
            "In map_ident", 
            "Mapping version 6.0 to 6 for cartridge jbosseap", 
            "Incompatible upgrade of cartridge redhat:jbosseap:6.0:0.0.4", 
            "No upgrade script exists for jbosseap; skipping", 
            "Executed setup for jbosseap", 
            "Marking step jbosseap_setup complete", 
            "Marking step jbosseap_erb complete", 
            "Marking step jbosseap_create_endpoints complete", 
            "Marking step jbosseap_connect_frontend complete", 
            "Marking step jbosseap_upgrade_cart complete", 
            "Marking step jbosseap_rebuild_ident complete", 
            "Starting gear on node ip-10-236-154-176", 
            "Start gear failed with an exception: Failed to execute: control start for /var/lib/openshift/634059618196943787786240/jbosseap", 
            "Marking step start_gear complete", 
            "Gear restart time (ms): 129988", 
            "Validating gear post-upgrade", 
            "Pre-upgrade state: started", 
            "Post-upgrade response code: 503", 
            "Problem detected with gear status.  Post-upgrade status: Cart status for jbosseap [PROBLEM]: CLIENT_RESULT: Application is either stopped or inaccessible\n\n", 
            "Marking step validate_gear complete", 
            "Cleaning up after upgrade", 
            "Total upgrade time on node (ms): 143950"


            "start_gear": {
                "context": {
                    "warning": "Start gear failed with an exception: Failed to execute: control start for /var/lib/openshift/634059618196943787786240/jbosseap"
                }, 
                "errors": [], 
                "status": "complete"
            }, 


            "validate_gear": {
                "context": {
                    "postupgrade_response_code": "503", 
                    "postupgrade_status": "Cart status for jbosseap [PROBLEM]: CLIENT_RESULT: Application is either stopped or inaccessible\n\n", 
                    "preupgrade_state": "started"
                }, 
                "errors": [], 
                "status": "complete"
            }
Comment 1 Meng Bo 2013-08-19 07:12:07 EDT
Created attachment 788007 [details]
jbosseap_server.log
Comment 2 Meng Bo 2013-08-21 03:44:36 EDT
On latest INT(devenv_3680), the app still cannot be visited via web browser.
Comment 3 John W. Lamb 2013-08-21 14:56:15 EDT
Fix for this and https://bugzilla.redhat.com/show_bug.cgi?id=998468 are in this pull request: https://github.com/openshift/li/pull/1846
Comment 4 openshift-github-bot 2013-08-21 15:53:37 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/6e9a339e47338ff983a0e22e7061234eee156568
<gear_upgrade_extension> Bug 998455, fix broken symlinks and env vars for jbosseap cart
https://bugzilla.redhat.com/show_bug.cgi?id=998455

The symlinks into /etc/alternatives from the jbosseap cart directory
weren't being handled properly by the upgrade process, causing the
problems seen in the bug report.
Comment 5 Meng Bo 2013-08-22 05:26:40 EDT
Checked on devenv-stage_448,

After migration, both scalable and non-scalable app can be visited and can be controlled.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.